1
usera
xoops 2.0.7.3 on windows
  • 2004/10/26 3:23

  • usera

  • Just popping in

  • Posts: 29

  • Since: 2004/8/28


I'm using windows xp with apache/mysql/php installed and working fine. I manage to install 2.0.9b without a problem but for some reason the 2.0.7.3 won't go to the next screen when clicking on the next (install wizard at choose language). I tried searching but couldn't find anything to this problem.

Does anyone have an idea? I moved the install folder from 2.0.9b to 2.0.9.3 and it would install but than it would XOOPS won't start up saying error of http server var at includes/commmon.php.

2
brash
Re:xoops 2.0.7.3 on windows
  • 2004/10/26 4:31

  • brash

  • Friend of XOOPS

  • Posts: 2206

  • Since: 2003/4/10


I use IIS, so can't help you there . First thing I'd be checking is permissions though.

3
Mithrandir
Re:xoops 2.0.7.3 on windows

What's your PHP version?

4
usera
Re:xoops 2.0.7.3 on windows
  • 2004/10/26 12:38

  • usera

  • Just popping in

  • Posts: 29

  • Since: 2004/8/28


mithrandir: the newest one PHP 5.0.2, MySQL 4.0 (manual install), apache 2.0.52. Do you have any clue? It can't be configuration because 2.0.9b installs fine but for 2.0.7.3 it won't go pass the select language screen on the install.

5
chapi
Re:xoops 2.0.7.3 on windows
  • 2004/10/26 12:55

  • chapi

  • Theme Designer

  • Posts: 611

  • Since: 2002/1/22


Xoops 2.0.7 doesn't work properly with PHP5. XOOPS 2.0.9 is intended to run with PHP5. So you should either run PHP4 on your server or test XOOPS 2.0.9 beta to get it stable with PHP5.

6
Mithrandir
Re:xoops 2.0.7.3 on windows

My guess is that your PHP 5 is not configured to handle long superglobals ($HTTP_POST_VARS etc.) - it is disabled by default in PHP 5 and although I have looked for it, I have not been able to locate that setting in php.ini of PHP 5.

Xoops 2.0.9 uses only $_POST, $_GET etc. so that may be the reason why you can install that version but not 2.0.7.3

2.0.7.3 may install, but will not work properly on PHP 5 because of the new, native method clone() which clashes with the clone() method in the XoopsObject class.

7
ackbarr
Re:xoops 2.0.7.3 on windows

Mithy - I think you are looking for the register_long_arrays setting in php.ini

8
ackbarr
Re:xoops 2.0.7.3 on windows

also it looks like that setting can be overridden with an .htaccess file (on apache):
php_flag register_long_arrays On

9
Mithrandir
Re:xoops 2.0.7.3 on windows

So THAT's where that little bugger was hiding.

I was looking for something like long_globals or long_superglobals

Thankie

10
usera
Re:xoops 2.0.7.3 on windows
  • 2004/10/26 17:43

  • usera

  • Just popping in

  • Posts: 29

  • Since: 2004/8/28


thank everyone. That setting in a .htaccess does cause the install menu to completion. However it seems that when going to the website there is a blank page. I guess there is no way to get this to work with php 5.0.2..

Any last suggestions before I give up?

Login

Who's Online

210 user(s) are online (40 user(s) are browsing Support Forums)


Members: 1


Guests: 209


Johndavid,

more...

Donat-O-Meter

Stats
Goal: $100.00
Due Date: Feb 29
Gross Amount: $0.00
Net Balance: $0.00
Left to go: $100.00
Make donations with PayPal!

Latest GitHub Commits